<?php
include('../config/database.php');
$metodo=$_SERVER['REQUEST_METHOD'];

if($metodo=='GET'){
    //Si se mando un id quiere decir que se hara una busqueda individual
   if(isset($_GET['lista_user'])){
    $query = mysqli_query($mysqli, "SELECT * FROM usuarios WHERE permisos_acceso != 'Super Admin' and status='activo'");
    if(!$query){
        die('Error en la consulta'. mysqli_error($mysqli));
    }

    $json = array(); 
    while($row = mysqli_fetch_array($query)){
        if($row['status']=='activo'){
            $btn = "<a href='#' class='btn btn-xs btn-danger' onclick='off($row[id_user])'><i class='fa fa-user-times'><i/></a>";
        }else{
            $btn = "<a href='#' class='btn btn-xs btn-success' onclick='on($row[id_user])'><i class='fa fa-user-plus'><i/></a>";
        }
        $json[] = array(
            'usuario' => $row['username'],
            'nombre' => $row['name_user'],
            'vehiculo' => $row['vehiculo']
        );
    }
    $jsonstring = json_encode($json);
    echo $jsonstring;
   }
    
}

if($metodo=='POST'){
    if(isset($_POST['id_user_off'])){
        $id = $_POST['id_user_off'];
        $query = mysqli_query($mysqli, "UPDATE usuarios SET status='bloqueado' WHERE id_user=$id");
        if(!$query){
            die('Error en el registro'. mysqli_error($mysqli));
        }
        echo '
        <div class="alert alert-success" role="alert" id="alerta1">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
    if(isset($_POST['id_user_on'])){
        $id = $_POST['id_user_on'];
        $query = mysqli_query($mysqli, "UPDATE usuarios SET status='activo' WHERE id_user=$id");
        if(!$query){
            die('Error en el registro'. mysqli_error($mysqli));
        }
        echo '
        <div class="alert alert-success" role="alert" id="alerta1">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
}